Subject: [bug#43915] [PATCH 0/3] Update python-breathe and dependencies

From: Christopher Baines <[email-masked]>
Date: Sat, 24 Oct 2020 21:17:09 +0100

Simon South <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>> Given the python-sphinx change is a major version update, I was unsure
>> about pushing it to master, at least without testing whether any of
>> the 363 dependent packages are broken by this change.
>
> Yes, after submitting the patch I realized: It's really too significant
> a change for the amount of testing I've done on it. Better to hold off
> for now I think, especially with the release coming up.
>
> My interest really was in seeing python-breathe updated, as the new
> version happens to fix a warning from Sphinx when generating Texinfo
> output (and there's only one other package it affects, which I
> definitely have tested). I thought updating its dependencies at the same
> time would be a good idea but now I think it would be a bit reckless.

I've gone ahead and created a staging-next branch with the python-sphinx
and python-breathe patches now.

I'll leave it up to you whether to close this bug, or leave it open
until the staging-next branch is merged.